<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping>
	<class entity-name="ObservationMethod" table="LAB_OBSERVATION_METHOD_V" name="gov.va.med.cds.template.generated.lab.ObservationMethod" >
		<id name="id" type="java.lang.Long">
			<column name="LAB_OBSERVATION_METHOD_ID" />
			<generator class="sequence">
				<param name="sequence">LAB_OBSERVATION_METHOD_SEQ_ID</param>
			</generator>
		</id>

		<component name="observationMethodCode" class="gov.va.med.cds.template.generated.basedatatypes.HL72CodedElement">
			<property name="code" column="OBSERVATION_MTHD_CODE" type="java.lang.String" />
			<property name="displayText" column="OBSERVATION_MTHD_DSPLYTXT" type="java.lang.String" />
			<property name="codingSystem" column="OBSERVATION_MTHD_CODSYS" type="java.lang.String" />
			<property name="alternateCode" column="OBSERVATION_MTHD_ALT_CODE" type="java.lang.String" />
			<property name="alternateDisplayText" column="OBSERVATION_MTHD_ALT_DSPLYTXT" type="java.lang.String" />
			<property name="alternateCodingSystem" column="OBSERVATION_MTHD_ALT_CODSYS" type="java.lang.String" />
		</component>

	</class>
</hibernate-mapping>
